Bug 1257329 - Review Request: openstack-ironic-python-agent - A python agent for provisioning and deprovisioning Bare Metal servers.
Review Request: openstack-ironic-python-agent - A python agent for provisioni...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1233168
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-26 15:50 EDT by John Trowbridge
Modified: 2015-11-27 08:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 08:55:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkumar246: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John Trowbridge 2015-08-26 15:50:24 EDT
Spec URL: https://trown.fedorapeople.org/openstack-ironic-python-agent.spec

SRPM URL: https://trown.fedorapeople.org/openstack-ironic-python-agent-0.1-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841.src.rpm

Description: A python agent for provisioning and deprovisioning Bare Metal servers.

Fedora Account System Username: trown

I was unable to build on koji[1], but it builds fine locally[2].

[1] https://kojipkgs.fedoraproject.org//work/tasks/388/10840388/build.log
[2] https://trown.fedorapeople.org/openstack-ironic-python-agent-0.1-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm
Comment 1 John Trowbridge 2015-08-27 09:24:41 EDT
I was able to successfully build on rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=10855138
Comment 2 John Trowbridge 2015-08-27 14:54:46 EDT
I updated the spec to only build python3 version. This package is used inside of a ramdisk for Ironic, and so there is not much use to having multiple versions of it. Naming would be a bit odd if we did that. (openstack-ironic-python3-agent?, python-ironic-python-agent/python3-ironic-python-agent?)

I did a new scratch build on koji with this srpm:

http://koji.fedoraproject.org/koji/taskinfo?taskID=10858568

Here is the output from rpmlint:

openstack-ironic-python-agent.src: W: spelling-error Summary(en_US) deprovisioning -> processioning
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, radish
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US unprovisioned -> unprovided
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US pxe -> exp, pee, pie
openstack-ironic-python-agent.src:46: W: macro-in-comment %{upstream_version}
openstack-ironic-python-agent.src: W: invalid-url Source0: ironic-python-agent-0.1.0.dev731.tar.gz
openstack-ironic-python-agent.spec:46: W: macro-in-comment %{upstream_version}
openstack-ironic-python-agent.spec: W: invalid-url Source0: ironic-python-agent-0.1.0.dev731.tar.gz
openstack-ironic-python-agent.noarch: W: spelling-error Summary(en_US) deprovisioning -> processioning
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, radish
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US unprovisioned -> unprovided
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US pxe -> exp, pee, pie
openstack-ironic-python-agent.noarch: W: incoherent-version-in-changelog 0.1.0-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841 ['0.1-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841', '0.1-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841']
openstack-ironic-python-agent.noarch: W: no-manual-page-for-binary ironic-python-agent
2 packages and 1 specfiles checked; 0 errors, 14 warnings.
Comment 3 John Trowbridge 2015-08-27 16:14:52 EDT
Actually trying to install the package now fails, because there are some dependencies which do not have a python3 package. I have updated the spec and srpm, and did another scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=10859408

Installing still fails without python-oslo-service[1], so I added a depends on to that review. I tried manually installing alongside a python-oslo-service rpm from centos, and it worked.

rpmlint output:
Checking: openstack-ironic-python-agent-0.1-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm
          openstack-ironic-python-agent-0.1-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841.src.rpm
openstack-ironic-python-agent.noarch: W: spelling-error Summary(en_US) deprovisioning -> processioning
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, radish
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US unprovisioned -> unprovided
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US pxe -> exp, pee, pie
openstack-ironic-python-agent.noarch: W: incoherent-version-in-changelog 0.1.0-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841 ['0.1-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841', '0.1-0.1gite6439ca1d06a50e72b97975da9b3963ba04ba841']
openstack-ironic-python-agent.noarch: W: no-manual-page-for-binary ironic-python-agent
openstack-ironic-python-agent.src: W: spelling-error Summary(en_US) deprovisioning -> processioning
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, radish
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US unprovisioned -> unprovided
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US pxe -> exp, pee, pie
openstack-ironic-python-agent.src:45: W: macro-in-comment %{upstream_version}
openstack-ironic-python-agent.src: W: invalid-url Source0: ironic-python-agent-0.1.0.dev731.tar.gz
2 packages and 0 specfiles checked; 0 errors, 12 warnings.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1233168
Comment 4 Chandan Kumar 2015-08-31 01:28:22 EDT
Hello,

Thanks for submitting for package review.

Below is my inline comments.
[1.] "Group:      System Environment/Base" is not required, 
Since this tag is optional, Please remove it, https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag

[2.] Also include python-pbr and python-setuptools under requires.

[3.] under files section, 

[3.1]
replace %{python_sitelib}/ironic_python_agent* with %{python2_sitelib}/ironic_python_agent* 

[3.2]and also include %{python2_sitelib}/ironic_python_agent-%{version}-py?.?.egg-info in next line.

[4.] Since doc folder is also present in source tarball, Please create a doc sub package.

rest looks ok to me.

Thanks,

Chandan Kumar
Comment 5 John Trowbridge 2015-08-31 17:20:02 EDT
I updated the spec and srpm in the initial comment.

[1.] done
[2.] I included python-pbr. I do not think python-setuptools is a runtime requirement.
[3.1] done
[3.2] added a note to add this once there is an actual release
[4.] The docs in doc/source are developer docs. I am not sure if those should be packaged.
Comment 6 John Trowbridge 2015-09-01 16:54:13 EDT
I am unable to build the docs because we are missing python-sphinxcontrib-pecanwsme. However, I added a note to the spec file to enable building them when we have that package available, or the requirement is removed upstream.

I instead just included the raw restructured text in the docs package for now.
Comment 7 Chandan Kumar 2015-09-02 04:56:52 EDT
Hello,

Thanks for updating the package.

Below is my inline comment.
[1.] please fix the release tag in this format: 0.X.dategithash

[2.] Please add the steps to produce the tarball for that package as a comment in the spec file.

[3.] Please create a python2 subpackage for this.
Once python3 dependencies are resolved, we can update the spec with python3 subpackage.
For more info check the fedora python packaging doc: https://fedoraproject.org/wiki/Packaging:Python

Rest is fine. 

Thanks,

Chandan Kumar
Comment 8 John Trowbridge 2015-09-02 07:42:32 EDT
I updated the spec and srpm in the original comments, and did another koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=10927935

note, since I changed the release format, and I can not edit the comment, the link for srpm is a symlink to the correctly named:
openstack-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.src.rpm

the actual link is: https://trown.fedorapeople.org/openstack-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.src.rpm
Comment 9 Chandan Kumar 2015-09-02 09:38:25 EDT
Looks good to me, Approved.

Thanks,

Chandan Kumar
Comment 10 John Trowbridge 2015-09-02 09:54:00 EDT
New Package SCM Request
=======================
Package Name: openstack-ironic-python-agent
Short Description: A python agent for provisioning and deprovisioning Bare Metal servers
Upstream URL: https://github.com/openstack/ironic-python-agent
Owners: trown divius
Branches:
InitialCC: trown
Comment 11 Gwyn Ciesla 2015-09-03 08:54:48 EDT
Git done (by process-git-requests).
Comment 12 Telles Nobrega 2015-11-23 16:23:15 EST
Looks good to me.

Note You need to log in before you can comment on or make changes to this bug.